# Class HDUDataNode

java.lang.Object
uk.ac.starlink.datanode.nodes.DefaultDataNode
uk.ac.starlink.datanode.nodes.HDUDataNode

All Implemented Interfaces:
  `DataNode`

Direct Known Subclasses:
  `ImageHDUDataNode, TableHDUDataNode`

public class HDUDataNode extends DefaultDataNode
An implementation of the `DataNode` interface for representing a general Header and Data Unit (HDU) in FITS files.

Version:
  $Id$
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`HDUDataNode(nom.tam.fits.Header hdr, FITSDataNode.ArrayDataMaker hdudata)`
Initialises a `HDUDataNode` from a `Header` object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`allowsChildren()`
The `DefaultDataNode` implementation of this method returns `false`.
`void`
`configureDetail(DetailViewer dv)`
No custom configuration is performed.
`String`
`getDescription()`
Gets a concise description of this object.
`int`
`getHDUIndex()`
`protected String`
`getHduType()`
`protected nom.tam.fits.Header`
`getHeader()`
`String`
`getNodeTLA()`
The `DefaultDataNode` implementation returns the string "...".
`String`
`getNodeType()`
Returns a short sentence indicating what kind of node this is.
`String`
`getPathElement()`
The `DefaultDataNode` implementation returns the label as a default path element.
`String`
`getPathSeparator()`
Returns a default separator string.

### Methods inherited from class DefaultDataNode

`beep, getChildIterator, getChildMaker, getCreator, getDataObject, getIcon, getLabel, getName, getParentObject, hasDataObject, makeChild, makeErrorChild, registerDataObject, setChildMaker, setCreator, setDescription, setIconID, setLabel, setName, setParentObject, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HDUDataNode

public HDUDataNode(nom.tam.fits.Header hdr, FITSDataNode.ArrayDataMaker hdudata) throws NoSuchDataException
Initialises a `HDUDataNode` from a `Header` object.

Parameters:
  `hdr` - a FITS header object from which the node is to be created
  `hdudata` - an object capable of returning the HDU data
Throws:
  `NoSuchDataException`

## Method Details

### allowsChildren

public boolean allowsChildren()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation of this method returns `false`.

Specified by:
  `allowsChildren` in interface `DataNode`
Overrides:
  `allowsChildren` in class `DefaultDataNode`
Returns:
  `true` if the node is of a type which can have child nodes, `false` otherwise

### configureDetail

public void configureDetail(DetailViewer dv)
Description copied from class: `DefaultDataNode`
No custom configuration is performed.

Specified by:
  `configureDetail` in interface `DataNode`
Overrides:
  `configureDetail` in class `DefaultDataNode`
Parameters:
  `dv` - the detail viewer which this node is given an opportunity to configure

### getDescription

public String getDescription()
Description copied from interface: `DataNode`
Gets a concise description of this object. The form of the description will depend on the type of node, but it might detail the shape or type of data represented, or otherwise give some information additional to the name. It should not include the return value of the `getName` method, since they may be presented together. It should be on one line, and preferably no longer than around 70 characters. The `null` value may be returned if there is nothing to say.

Specified by:
  `getDescription` in interface `DataNode`
Overrides:
  `getDescription` in class `DefaultDataNode`
Returns:
  a short string describing this object

### getNodeTLA

public String getNodeTLA()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the string "...".

Specified by:
  `getNodeTLA` in interface `DataNode`
Overrides:
  `getNodeTLA` in class `DefaultDataNode`
Returns:
  "..."

### getNodeType

public String getNodeType()
Description copied from interface: `DataNode`
Returns a short sentence indicating what kind of node this is. The return value should be just a few words. As a rough guideline it should indicate what the implementing class is.

Specified by:
  `getNodeType` in interface `DataNode`
Overrides:
  `getNodeType` in class `DefaultDataNode`
Returns:
  a short description of the type of this `DataNode`

### getPathSeparator

public String getPathSeparator()
Description copied from class: `DefaultDataNode`
Returns a default separator string.

Specified by:
  `getPathSeparator` in interface `DataNode`
Overrides:
  `getPathSeparator` in class `DefaultDataNode`
Returns:
  "."

### getPathElement

public String getPathElement()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the label as a default path element.

Specified by:
  `getPathElement` in interface `DataNode`
Overrides:
  `getPathElement` in class `DefaultDataNode`
Returns:
  the node's label

### getHDUIndex

public int getHDUIndex()

### getHduType

protected String getHduType()

### getHeader

protected nom.tam.fits.Header getHeader()